Bug 317821 - kpartx -d does not remove mapping
kpartx -d does not remove mapping
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 01:49 EDT by Ray Morris
Modified: 2008-04-08 15:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.4.7-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 15:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Morris 2007-10-04 01:49:35 EDT
Description of problem:
kpartx -d does not remove a mapping added by kpartx -a,
where a partition is created on a logical volume.

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.7-11.fc7

Steps to Reproduce:
lvcreate -L 1G -n testing Vol00
kpartx -av /dev/Vol00/testing
parted -s /dev/Vol00/testing select /dev/Vol00/testing
parted -s /dev/Vol00/testing mklabel msdos
parted -s -- /dev/mapper/Vol00-testing mkpart primary ext2 0 -1
kpartx -av /dev/Vol00/testing
mkfs -t ext3 /dev/mapper/Vol00-testingp1
kpartx -d /dev/Vol00/testing
ls /dev/mapper/Vol00-testingp1

Actual results:
/dev/mapper/Vol00-testingp1 still exists, unlike FC7.

Expected results:
/dev/mapper/Vol00-testingp1 should disappear.

Additional info:
Various other variations on kpartx -d were tried, such as:
kpartx -d /dev/mapper/Vol00-testing
kpartx -d /dev/mapper/Vol00-testingp1
Comment 1 Bug Zapper 2008-04-04 09:59:10 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Ray Morris 2008-04-08 15:11:50 EDT
This appears to have been fixed between FC 7.91 and FC 8.


Note You need to log in before you can comment on or make changes to this bug.